Subject: Strategy for VPN work in IETF

From: <[email-masked]>
Date: Sun, 4 May 2003 13:24:58 -0700

Alex Zinin writes:

> Since San Francisco IETF meeting the IESG has been considering the
> situation in the SUB-IP area and in the PPVPN Working Group in
> particular.

> Such close attention to this WG was triggered by numerous concerns

> thatthe IESG members received from the WG participants about limited
> and slow progress within the WG despite the efforts of the WG chairs
> and its members. The IESG also used this opportunity to consider
> the IETF area that the PPVPN work would fit best.

> After much deliberation, the involved ADs (Bert, Thomas, and I) are
> considering the following organizational changes in order to
> improve WG focus and productivity and ensure faster progress of the
> VPN-related work:

> 1. Split of Layer-2 and Layer-3 VPN work in separate Working Groups.

>   The L2 and L3 VPN work spaces are each big enough to warrant a
>   separate WG. While concentration of all VPN-related work in a
>   single forum was the right thing to do to ensure coordination
>   of efforts when the PPVPN WG was created and L2 VPN work came in,

>   such concentration is causing scaling problems within the WG at
>   this moment.

>   Migration of work into two separate WGs for L2 and L3 VPN
>   technologies with more specific WG charters will help to focus
>   discussions, prevent staff and meeting time overloading, and will
>   aid faster progress of corresponding technologies.

Alex,
The proposed solution ignores the origins of the problem.

The fact that PPVPN has been making any progress at all, despite the
bureaucracy imposed on it by the IESG is rather comendable.

This is a typically example of a WG which was setup despite many architectural
objections that it doesn't fit in the "internet" design. One cannot help
but to suspect that there was the hope ammoung the inner circles that
it would fail altogether. At least giving the ammount of "framework"
nonsense required and the interdiction to discuss solutions before a
framework is agreed upon.

The work of this working group is particularly harder given that this
is todays "fashion" area... work is much harder on such areas (like mpls
was a couple of years ago). One would suspect that the IESG
efforts to slow the WG steem also from concerns that fashion areas tend
to create a fair ammount of nonsense proposals most of which tend to
be naturally eliminated by the WGs.

Given the environment the performance of the ppvpn WG seems to me to
rather positive. It has actually come up with several documents that
are useful and deserve publication.

One of the reasons given here for this proposed disolution of the WG
is that the "L2VPN and L3VPN work spaces are big enought". However both
in the list and WG meetings it seems to me that the current l3vpn WG
is close to 0. The base document on l3vpn has been rather stable for
a while and it is not likely to change. The IESG/inner-circle has chosen
for mostly ideological reasons to attempt to marginalize this work so
it can hardly expect to be heard now.

It seems to me that if there is a problem w/ PPVPN that problem lies
within the IESG itself. As such i would like to propose to split the
IESG in two WGs: one that concerns itself w/ architecture and one group
that concerns itself with the process of documenting interoperable solutions
that are not known to be good or bad ideas until used in pratice. This
latter group should have the task to assure that the process is fair
and that both the pluses and minus of a solution are considered and documented.

One of the ideal caractheristics of the latter group would be if they
where to realize that by definition an IESG member is much less of an
expert in a given domain than the membership of the WG it steers. It
is humanly impossible for it to be otherwise. Unless you assume that
the membership of WG is 100% incompetent which is never the case. A steerer
cannot possibly be an expert in 20 groups it oversees... usually it can't
even keep up with the problems and technology due to the fact that there
is only 24 hours in each day.

In the rather arrogant terms of internet engineering, the IESG is by
definition the set of people that are "clueless". It is not possible
for it to be the other way around. No matter how wise and inteligent
IESG memebers are...

It is necessarly that the IESG understands that latter point and restricts
its job to document in a timely manner interoperable solutions for the
problems at hand regardless of personal opinion on the value of such
problems and technologies.
- ----

Concerned about your privacy? Follow this link to get
FREE encrypted email: https://www.hushmail.com/?l=2 

Big $$$ to be made with the HushMail Affiliate Program: 
https://www.hushmail.com/about.php?subloc=affiliate&l=427

---

From: "Bilel Jamoussi" <[email-masked]>
Date: Sun, 4 May 2003 23:13:09 -0400

> Alex,
> 
> This is a really bad idea and will slow down progress in this WG more than
> it would speed it up.
> 
> - The L3 VPN work is wrapping up - what you are proposing will create more
> churn than it's worth.
> - The common VPN building blocks and documents are better suited under a
> single WG.
> 
> Also, browsing through the archives of the ppvpn mailing list, I haven't
> seen any complaining that indicates there is a problem that warrants
> restructuring- So is there really a problem here or is one being creating?
> 
> Bilel.
> 
> 
> Date:         Sun, 4 May 2003 00:11:52 -0700
> Reply-To:     Alex Zinin <[email-masked]>
> Sender:       PPVPN <[email-masked]>
> From:         Alex Zinin <[email-masked]>
> Subject:      IMPORTANT: Strategy for VPN work in IETF
> Comments: To: [email-masked]
> Comments: cc: [email-masked], "Wijnen, Bert (Bert)" <[email-masked]>,
>           Thomas Narten <[email-masked]>,
>           "Peterson, Jon" <[email-masked]>,
>           Allison Mankin <[email-masked]>
> Content-Type: text/plain; charset=us-ascii
> 
> 
> Folks,
> 
> 
> situation in the SUB-IP area and in the PPVPN Working Group in particular.
> 
> 
> Such close attention to this WG was triggered by numerous concerns that
> the IESG members received from the WG participants about limited and
> slow progress within the WG despite the efforts of the WG chairs and its
> members. The IESG also used this opportunity to consider the IETF area
> that the PPVPN work would fit best.
> 
> 
> considering the following organizational changes in order to improve WG
> focus and productivity and ensure faster progress of the VPN-related work:
> 
> 
> separate
>     WG. While concentration of all VPN-related work in a single forum was
>     the right thing to do to ensure coordination of efforts when the PPVPN
>     WG was created and L2 VPN work came in, such concentration is causing
>     scaling problems within the WG at this moment.
> 
> 
>     Migration of work into two separate WGs for L2 and L3 VPN technologies
>     with more specific WG charters will help to focus discussions, prevent
>     staff and meeting time overloading, and will aid faster progress of
>     corresponding technologies.
> 
> 
>  2. Migration of the VPN-related work to the Internet area.
> 
> 
>     As previously discussed, VPN-related work could be argued to belong
>     to more than one area. Tunneling mechanisms are the property that
>     gravitates this work to the Internet area, which is where we believe
>     the VPN work should go.
> 
> 
>     As part of this move, we are also considering moving PWE3 into INT,
>     so that L2TPEXT, PWE3, and thew new VPN WGs are operating in the same
>     area.
> 
> 
> Based on the above considerations, we are considering the following steps:
> 
> 
>  1. Two new WGs--L2VPN and L3VPN--will be created in the Internet area.
>     The mailing lists will be established and the discussion of the
> proposed
>     charters of the new WGs will be initiated shortly.
> 
> 
>  2. Once the charters of the new WGs are agreed upon and approved by the
> IESG,
>     creation of the L2VPN and L3VPN WGs and shutdown of the PPVPN WG will
> be
>     performed simultaneously. PPVPN WG documents will be migrated to the
>     corresponding new WGs.
> 
> 
> It is our intention to complete this process by the Vienna IETF meeting.
> Also, these changes are being made for management reasons and are not
> intended
> to be a "reset" on WG activities or to halt or interrupt progress on
> current
> ongoing WG activities.
> 
> 
> We'd like to hear from the WG members if they see any fatal flaws with
> the proposed approach. Please send us your feedback by May 11th.
> 
> 
> Regards,
> 
> 
> --
> Alex Zinin
> IETF SUB-IP Area Co-Director
> 
>

---

From: "Tissa Senevirathne" <[email-masked]>
Date: Mon, 05 May 2003 06:00:29 +0000

I ditto Bilel here...

I Simply can not understand How would this benifit speeding up the closure 
of work ? Alex you need to convine how you would speed up the things than it 
is now, given the delay you are just about to induce..

Oh. BTW Who will be the WG chair for the new group ?

>From: "Bilel Jamoussi" <[email-masked]>
>To: "[email-masked]'" <[email-masked]>
>Subject: FW: Re: Strategy for VPN work in IETF
>Date: Sun, 4 May 2003 23:13:09 -0400
>
> > Alex,
> >
>technologies

_________________________________________________________________
STOP MORE SPAM with the new MSN 8 and get 2 months FREE*  
http://join.msn.com/?page=features/junkmail

---

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Mon, 5 May 2003 15:21:15 +0200

Isn't it nice to "accuse" while not having to identify yourself.
We will certainly take this anonymous positive advise to heart.

Thanks,
Bert 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: zondag 4 mei 2003 22:25
> To: [email-masked]
> Cc: [email-masked]
> Subject: Strategy for VPN work in IETF
> 
> 
> 
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> Alex Zinin writes:
> 
> -----BEGIN PGP SIGNATURE-----
> Version: Hush 2.2 (Java)
> Note: This signature can be verified at 
https://www.hushtools.com/verify

wl4EARECAB4FAj61dxQXHGF1dG85MjY3OUBodXNobWFpbC5jb20ACgkQEMGDJWtDWfpc
ewCfaWN5FVNhieXVzimDk9cNYOZlgKAAnj3Hf8eWFmikSCDmAw1eMQVdEUb/
=GLPS

---

From: "Himanshu Shah" <[email-masked]>
Date: Tue, 6 May 2003 08:48:45 -0400

Alex,

I support formation of two working groups;
L3VPN and L2VPN. There are enough non-overlapping 
issues to warrant such split. Albeit, this should 
have been done a long time ago, but better late
than never. We also need better understanding of
how overlapping issues would be handled between
the two working groups.

Himanshu Shah
Wavesmith networks

---

From: "Bilel Jamoussi" <[email-masked]>
Date: Fri, 9 May 2003 13:34:05 -0400

Alex,

Marco brought up several troublesome points on how this is being handled
that should be addressed in the open. If you prefer to resolve them one on
one - we need to know the outcome - How is this discussion progressing?

Bilel.

-----Original Message-----
From: Alex Zinin [mailto:[email-masked]] 
Sent: Wednesday, May 07, 2003 7:42 PM
To: Carugi, Marco [CTF:0000:EXCH]
Cc: [email-masked]
Subject: Re: Strategy for VPN work in IETF

Marco,

 I'll take this off the list.

-- 
Alex

> I had promised myself to keep quiet for a while on this topic and 
> respectfully listening to the list. Reading some assertions, I cannot 
> anymore.

> Looking after the best interest of the WG and having worked so hard to 
> create it time ago.

> Inline, Marco

---

From: "Bryan Gleeson" <[email-masked]>
Date: Fri, 9 May 2003 19:10:27 -0700

Alex et al,

Having observed the discussion this week, I certainly agree 
with the many others who are concerned about the justification 
for the WG split and the manner in which the restructuring is 
being proposed.

Many issues are being mixed together, including ways to speed 
up the work, rechartering, moving the work out of the sub-ip 
area, and the WG split itself. Splitting the group is not a
pre-requisite for addressing the first three issues, and I 
agree with those who argue that a convincing case has yet to 
be made that having a single WG is a real problem.

The proposed charters seem to me to be a step backwards since
they have removed any reference to common components and 
mechanisms which was a goal of the current charter. Issues
like VPN discovery, membership and topology are very similar
whether data-plane forwarding takes place at layer-2 or  
layer-3, and I think that development of common mechanisms is 
something to be encouraged. For example, as was pointed out 
before, Juha's VPN discovery draft using Radius, and Hamid's VPN
discovery draft using BGP, seem equally applicable to layers
2 and 3, and splitting the group would make the development of
common solutions more cumbersome, and less likely. 

As regards speeding up the work, ideas such as a second session
at IETF meetings, interim meetings, forcing resolution of some 
controversial issues, etc, all warrant examination, and I'm sure
that those more closely involved in the work have more ideas
on this topic; however I doubt whether splitting the group will 
by itself make much difference. 

A rechartering exercise may be useful at this time if it ensures 
that later progression of documents through the IESG will be not 
be subject to undue delay (for example if the charter calls for
standardizing multiple solutions, then the fact that multiple 
solutions were produced is not a valid objection to progressing 
those solutions). Also I've never viewed a PPVPN as a sub-ip 
phenomenon, so moving the work to the Internet area makes sense 
to me.

Lastly I think the new procedure for extending protocols is 
still too complex (e.g. I find the proposal that the VPN 
framework document be updated for every extension very odd).
Most protocols these days are designed to be easily extensible.
There is merit to having wide review of new solutions, however
having a formal process that requires the AAA WG to approve of and 
do a synchronized last call for something as simple as a Radius 
extension, for example, is very cumbersome, and will certainly slow 
things down.

Regards,
Bryan

---

From: "Bilel Jamoussi" <[email-masked]>
Date: Mon, 12 May 2003 15:22:34 -0400

Yakov,

Agreed - The process of this "Strategy" is broken.

Bilel.

-----Original Message-----
From: Yakov Rekhter [mailto:[email-masked]] 
Sent: Monday, May 12, 2003 2:33 PM
To: Alex Zinin
Cc: Jamoussi, Bilel [BL60:1A00:EXCH]; [email-masked]'
Subject: Re: Strategy for VPN work in IETF 

Alex,

> Bilel,
> 
> BNJ>> it would be good if you clarify your statement instead of 
> BNJ>> pointing me
> > to the chairs.
> 
> "Coordinating with Marco and Rick" means that all steps taken by Marco 
> and Rick as the WG chairs in PPVPN are checked with the involved ADs 
> and that we are working closer than usually.

And as Marco indicated in his e-mail:

  We (chairs) have just been requested to provide our advice on 
  WG splitting without having had any way to participate in the 
  discussion on issues.

The coordination seem to be one way - ADs check all steps taken by WG
chairs, yet WG chairs have no way to participate with ADs in the discussion
on issues.
  
Yakov.